The forecast:minutes endpoint provides high-resolution, minute-by-minute
precipitation forecasting (also known as nowcasting) for a given location.
The API returns the following information for a 6-hour timeframe:
- The start and end time of the prediction timeframe
- The time zone of the requested location
- The start and end time of each forecast segment
- The predicted type, likelihood, quantity, and intensity of precipitation during each segment
Terms
These terms are issued under Section 6 (Pre-GA Offerings Terms) of the Google Maps Platform Service Specific Terms, as agreed to by Google and you.
1.1 Attribution Requirements. Customer must provide Google with attribution in accordance with the Documentation if Customer uses Google Maps Content from the Weather API.
1.2 Restrictions. Customers can not use Google Maps Content retrieved from Weather API to recreate a Google service or product (e.g. use data retrieved from Weather API in a weather app or weather model whose primary purpose is to provide weather information).
1.3 Caching. Customers can temporarily cache the applicable Google Maps Content from the Weather API for the applicable Caching Period, as described in Table 1.3.1 (Caching Permissions).
Table 1.3.1 (Caching Permissions)
These permissions are in addition to those described in Table 17.2.1 of the Google Maps Platform Service Specific Terms.
| Google Maps Content | Caching Period |
|---|---|
| Minute forecast values | One hour, after which Customer must delete the cached Google Maps Content |
About minute forecast requests
To request minute forecasts, send an HTTP GET request to:
https://weather.googleapis.com/v1/forecast/minutes:lookup?key=API_KEY&location.latitude=LATITUDE&location.longitude=LONGITUDE
Include the latitude and longitude coordinates of the location in your request parameters.
Request parameters
The forecast.minutes endpoint accepts the following request parameters:
| Parameter | Description | Required or optional |
|---|---|---|
location.latitude |
The latitude coordinates of the requested location. | Required |
location.longitude |
The longitude coordinates of the requested location. | Required |
unitsSystem |
The requested unit system. Values include:
If no unit system is specified, the response defaults to |
Optional |
pageSize |
Specifies the maximum number of results to return. | Optional |
pageToken |
A page token received from a previous request. To retrieve the next page of data, pass pageToken as an input parameter in the next request. |
Optional |
About minute forecast responses
The Weather API returns the following fields in the response body:
| Field | Description |
|---|---|
overallPredictionTimeframe |
The overall timeframe for the predictions. |
overallPredictionTimeframe.startTime |
The starting time of the prediction timeframe. This reflects the initial reference point. |
overallPredictionTimeframe.endTime |
The ending time of the prediction timeframe. This is set six hours after the starting time. |
timeZone |
The time zone of the requested location. |
segments |
The minute-level prediction segments, denoted by timeFrame. |
segments.timeFrame |
The timeframe relevant to the segment. |
segments.timeFrame.startTime |
The starting time of the segment. |
segments.timeFrame.endTime |
The ending time of the segment. |
segments.type |
The predicted type of precipitation during that segment. Values include:
|
segments.probability |
The predicted chance of precipitation during that segment. Values are in percentages ranging from 0 to 100. |
segments.qpf |
The quantitative precipitation forecast. |
segments.qpf.quantity |
The predicted amount of precipitation during that segment. |
segments.qpf.unit |
The unit used to measure the amount of accumulated precipitation (for example, MILLIMETERS, INCHES). |
segments.snowfallAmount |
The predicted amount of snow during that segment. |
segments.snowfallAmount.quantity |
The predicted amount of snow (as liquid water equivalent) during that segment. |
segments.snowfallAmount.unit |
The unit used to measure the amount of accumulated snow (for example, MILLIMETERS, INCHES). |
segments.intensity |
The precipitation intensity of the segment. Values include:
|
nextPageToken |
A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages. |
Minute forecast example
The following example requests minute forecast information for a location in West Virginia:
curl -H "Content-Type: application/json" -X GET "https://weather.googleapis.com/v1/forecast/minutes:lookup?key=API_KEY&location.latitude=37.60451&location.longitude=-80.59044&unitsSystem=METRIC&pageSize=5"
In the response, the segments object indicates each segment of the overall
prediction timeframe:
{ "overallPredictionTimeframe": { "startTime": "2026-05-11T12:10:00Z", "endTime": "2026-05-11T18:12:00Z" }, "timeZone": { "id": "America/New_York" }, "segments": [ { "timeFrame": { "startTime": "2026-05-11T12:20:00Z", "endTime": "2026-05-11T12:22:00Z" }, "type": "RAIN", "probability": 21, "qpf": { "quantity": 0.1333, "unit": "MILLIMETERS" }, "snowfallAmount": { "quantity": 0.0, "unit": "MILLIMETERS" }, "intensity": "MODERATE" }, { "timeFrame": { "startTime": "2026-05-11T12:22:00Z", "endTime": "2026-05-11T12:24:00Z" }, "type": "RAIN", "probability": 21, "qpf": { "quantity": 0.1333, "unit": "MILLIMETERS" }, "snowfallAmount": { "quantity": 0.0, "unit": "MILLIMETERS" }, "intensity": "MODERATE" }, ... ] }